VisualCpp (Gradle API 8.11.1)

Package org.gradle.nativeplatform.toolchain

## Interface VisualCpp

- All Superinterfaces:
    `Named`, `NativeToolChain`, `ToolChain`

      @Incubating
      public interface VisualCpp
      extends NativeToolChain

  The Visual C++ tool chain.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `eachPlatform​(Action<? super VisualCppPlatformToolChain> action)` | Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.
    `java.io.File` | `getInstallDir()` | The directory where Visual Studio or Visual C++ is installed.
    `java.io.File` | `getWindowsSdkDir()` | The directory where Windows SDK is installed.
    `void` | `setInstallDir​(java.lang.Object installDir)` | The directory where Visual Studio or Visual C++ is installed.
    `void` | `setWindowsSdkDir​(java.lang.Object installDir)` | The directory where Windows SDK is installed.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.platform.base.ToolChain

      `getDisplayName`

- - ### Method Detail

    - #### getInstallDir

          java.io.File getInstallDir()

      The directory where Visual Studio or Visual C++ is installed.

    - #### setInstallDir

          void setInstallDir​(java.lang.Object installDir)

      The directory where Visual Studio or Visual C++ is installed.

    - #### getWindowsSdkDir

          java.io.File getWindowsSdkDir()

      The directory where Windows SDK is installed.

    - #### setWindowsSdkDir

          void setWindowsSdkDir​(java.lang.Object installDir)

      The directory where Windows SDK is installed.

    - #### eachPlatform

          void eachPlatform​(Action<? super VisualCppPlatformToolChain> action)

      Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.